Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Propagate_Event_Push Class Reference

`#include <CEC_ConsumerAdmin.h>`

Inheritance diagram for TAO_CEC_Propagate_Event_Push:

[legend]
Collaboration diagram for TAO_CEC_Propagate_Event_Push:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Propagate_Event_Push (const CORBA::Any &event)
void | work (TAO_CEC_ProxyPushSupplier *supplier ACE_ENV_ARG_DECL)
## Private Attributes
CORBA::Any | event_
| The event.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_Propagate_Event_Push::TAO_CEC_Propagate_Event_Push | ( | const CORBA::Any & | event | ) |

## Member Function Documentation

void TAO_CEC_Propagate_Event_Push::work | ( | TAO_CEC_ProxyPushSupplier *supplier | ACE_ENV_ARG_DECL | ) |

## Member Data Documentation

CORBA::Any TAO_CEC_Propagate_Event_Push::event_`[private]`

| The event.

The documentation for this class was generated from the following files:

- CEC_ConsumerAdmin.h
- CEC_ConsumerAdmin.cpp
- CEC_ConsumerAdmin.i